function calculateall(fname,time )
cd(fname);
for xv =1:9
  
  for t = 1:3
    tic
    
    m = 2;
    tau =450;
    csc = sprintf('~/AdaptUpdate/feat/V%d%d.mat', xv, t);
    load(csc);
    X1 = features(:,1:400);
    Y1 = y(1:400);
    csc = sprintf('~/AdaptUpdate/feat/%s.mat', fname);
    load(csc);
    %index = [1:3,101:102,201:203,301:302,401:403,501:502,601:603,701:702,801:803,901:902,1001:1003,1101:1102,1201:1203,1301:1302,1401:1403,1501:1502,1601:1603,1701:1702,1801:1803,1901:1902];
    %index = [1:5, 101:105, 201:205, 301:305, 401:405, 501:505, 601:605, 701:705, 801:805, 901:905];
    index = [1:5, 101:105, 201:205, 301:305];
    X2 = features(:,index);
    Y2 = y(index);
    
    X = [X1, X2];
    Y = [Y1; Y2];
    
    %normalize X
    meanX = mean(X,2);
    X1 = X1 - repmat(meanX, 1, size(X1,2));
    X2 = X2 - repmat(meanX, 1, size(X2,2));
    X = [X1, X2];
    
    %normalize Y
    meanY = mean(Y);
    Y1 = Y1 - meanY;
    Y2 = Y2 - meanY;
    Y = [Y1; Y2];
    
    
    
    C = iwishrnd(eye(size(X,1)), tau);
    s = 1;
    
    C1 = inv(X1*X1'/s+inv(C));
    C2 = inv(X2*X2'/s+inv(C));
    w1 = C1*X1*Y1/s;
    w2 = C2*X2*Y2/s;
    
    C = (tau*eye(size(X,1))+C1+C2+w1*w1'+w2*w2')/(tau+m);
    s = ((Y1-X1'*w1)'*(Y1-X1'*w1)+(Y2-X2'*w2)'*(Y2-X2'*w2)+trace(X1'*C1*X1)+trace(X2'*C2*X2))/tau;
    r = 1;
    
    while r>1e-10
      
      C_old = C;
      s_old = s;
      
      C1 = inv(X1*X1'/s+inv(C));
      C2 = inv(X2*X2'/s+inv(C));
      w1 = C1*X1*Y1/s;
      w2 = C2*X2*Y2/s;
      
      C = (tau*eye(size(X,1))+C1+C2+w1*w1'+w2*w2')/(tau+m);
      s = ((Y1-X1'*w1)'*(Y1-X1'*w1)+(Y2-X2'*w2)'*(Y2-X2'*w2)+trace(X1'*C1*X1)+trace(X2'*C2*X2))/tau;
      
      C_tmp = abs(C-C_old);
      r = sum(C_tmp(:))+abs(s-s_old);
    end
    
    % prediction
    pred = round((features-repmat(meanX, 1, 1000))'*w2 + randn(1000,1)*sqrt(s)+meanY);
    tmp = abs(y-pred);
    mae(xv,t) = mean(tmp);
    mse(xv,t) = mean(tmp.^2);
    
    time(xv,t) = toc;
    
  end
end
save('results_HGP.mat', 'mae', 'mse', 'time');

cd('~/AdaptUpdate');

end

