e1 = [4.509, 2.267, 2.21, 2.073, 1.836, 1.656, 1.634, 1.624, 1.587, 1.719, 1.673];
e2 = [10.874, 2.308, 2.222, 1.967, 1.764, 1.782, 1.676, 1.678, 1.681, 1.936, 1.601];
e0 = 1.667;

figure;
hold on;
plot([0:10:100], e1, 'b-', 'LineWidth', 2.0);
tmp = [0:100];
plot(tmp, e0*ones(1,length(tmp)), 'k-');
hold off
grid
ylim([0 12]);
ylabel('error rate');
xlabel('size of adaptation set');
myleg = {'error rate on adaptation', 'upper bound'};
legend(myleg, 2);

figure;
hold on;
plot([0:10:100], e2, 'b-', 'LineWidth', 2.0);
tmp = [0:100];
plot(tmp, e0*ones(1,length(tmp)), 'k-');
hold off
grid
ylim([0 12]);
ylabel('error rate');
xlabel('size of adaptation set');
myleg = {'error rate on adaptation', 'upper bound'};
legend(myleg, 2);