function rb = rob_train(X, Y)
% rob_train - train a robust linear regression model
%
%    rb = rob_train(X, Y)
% 
%         X = feature vectors (each column is a feature vector)
%         Y = function values
%
% Note: this uses the Matlab function "robust"
%
% Copyright 2008, Antoni Chan, SVCL, UCSD


[b, stats] = robustfit(X', Y(:));

rb.b     = b;
rb.stats = stats;
