% test feature extraction
clear
close all

fnm='3';
img  = loaddat(strcat('/data2/vidtex/vidtexseg/ucsdpeds/Data/vidf1_33_00',fnm,'.y'),'t');
segm = loaddat(strcat('old_code/jliang/vidf1_33_00',fnm,'.y.segmm'));

roi = ones(158,238);

pmap = zeros(size(img,1), size(img,2));
a = [131, 6];    % y,x
b = [131, 156];
c = [58 233];
d = [58 135];
refx = b(2)-a(2);
for y=1:size(img,1)
  fx = ((y-b(1)) / (c(1)-b(1))) * (c(2)-b(2)) + b(2);
  ex = ((y-a(1)) / (d(1)-a(1))) * (d(2)-a(2)) + a(2);
  x = fx-ex;
  
  xall(y) = x/refx;
  yall(y) = y;  
  
  pmap(y,:) = 1/xall(y);
end

maxt = 200;
f1_n_a    = zeros(1,maxt);
f1_n_p    = zeros(1,maxt);
f1_n_po   = zeros(6,maxt);
f1_e      = zeros(6,maxt);
f1_n_glcm = zeros(10,maxt);

for t=1:maxt
  myimg = img(:,:,t);
  mysegm = (segm(:,:,t) == 1);
  f1_n_a(:,t)    = feature_norm_area(myimg, mysegm, pmap, roi);
  f1_n_p(:,t)    = feature_norm_perimeter(myimg, mysegm, pmap, roi);
  f1_n_po(:,t)   = feature_norm_perimeterorient(myimg, mysegm, pmap, roi);
  f1_e(:,t)      = feature_ellipsoid(myimg, mysegm, pmap, roi);
  f1_n_glcm(:,t) = feature_norm_glcm(myimg, mysegm, pmap, roi);
  f1_n_edge(:,t) = feature_norm_edge(myimg, mysegm, pmap, roi);
end
