function [Ypred, Spred] = peoplecnt_gp_predict2(X, gp, opt, f_all, xmean, xstd)
%PEOPLECNT_GP_PREDICT Summary of this function goes here
%   Detailed explanation goes here





% normalize input
if any(gp.normmode == 'x') || any(gp.normmode == 'X')
  X = X - repmat(gp.Xmean,1,size(X,2));
  if any(gp.normmode == 'X')
    X = X./repmat(gp.Xstd,1,size(X,2));
  end  
end

% get predictions
[Ypred Spred] = gpr_new(gp.loghyper, gp.covfunc, gp.X, gp.Y, X');

% undo normalization
if any(gp.normmode == 'y')
    Ypred = Ypred + gp.Ymean;   % add mean to Y
end

end

