clear


pref = '_dtm_7W_7W_20W_4T_4T_10T_-10V_2N_10n_2K_0.5Qr_0.5Sr_0.5Rr_split_Qp_C_2T_2T_2T_cont_post5.segm.roi_mainwalkway.dmap3';
for i=0:9
  imgs{i+1}   = sprintf('vidf1_33_%03d.y', i);
  prefs2{i+1} = sprintf('vidf1_33_%03d_feat', i);
end
dirs = {'r', 'l'};
feats = {'na', 'ncof', 'ne', 'nem', 'neo6', 'npa', 'np', 'npo6'};



for f=1:length(feats)
  for d=1:length(dirs)
    for i=1:length(imgs)
   
      name = [imgs{i} ...
	      '/dytexmix/' ...
	      imgs{i} ...
	      pref '.' ...
	      feats{f} '.' ...
	      dirs{d} '.mat'];
      name2 = [prefs2{i} '.' feats{f} '.' dirs{d} '.mat'];
      
      newfeat = load(['example/features/' name2]);
      oldfeat = loadgz(['/data2/vidtex/vidtexseg/ucsdpeds_vidf/tmp.features/' name]);   % old features
      %oldfeat = loadgz(['tmp.features/' name]);  % features (old new code)
      
      tmp = totalerror(newfeat.fv.f, oldfeat.fv.f);

      fprintf('%s-%s-%s ', feats{f}, dirs{d}, imgs{i});
    
      if (tmp > 0)
	fprintf('[BAD!] %g', tmp);
	ii = find(abs(newfeat.fv.f-oldfeat.fv.f) > 1e-6);
	fprintf(' (%d)', length(ii));
	fprintf('\n');
	if (tmp > 1e-6)
	  figure
	  imagesc(newfeat.fv.f-oldfeat.fv.f);
	  colorbar
	  title(sprintf('%s-%s-%s', feats{f}, dirs{d}, imgs{i}));
	end
      else
	fprintf('[ok]\n');
      end
      
    end
  end
end
